function getLocalStorage() {
  return {
    set(key: string, value: string) {
      return window.localStorage.setItem(key, value);
    },

    get(key: string) {
      return window.localStorage.getItem(key);
    },

    setObject(key: string, value: any) {
      console.log("setObject", key, value);
      return window.localStorage.setItem(key, JSON.stringify(value));
    },

    getObject(key: string, defaultValue?: any) {
      let value = window.localStorage.getItem(key);
      if (value) {
        return JSON.parse(value);
      }
      if (defaultValue) {
        return defaultValue;
      }
      return {};
    },
  };
}

export default getLocalStorage;
