import { createSlice } from "@reduxjs/toolkit";
import { useSelector } from "react-redux";
import storage from "../storage";

const FileList = createSlice({
  name: "fileList",
  initialState: [] as any[],
  reducers: {
    updateOfStorage: (state) => {
      state = storage().getObject("fileList", []);
      return state;
    },

    addFileOfStorage: (state, action) => {
      state.push(action.payload);
      storage().setObject("fileList", state);
    },
  },
});

export function useSelectorFileList() {
  return useSelector((state: any) => state.fileList);
}

export const { updateOfStorage, addFileOfStorage } = FileList.actions;

export default FileList.reducer;
